GET https://api.cryptohopper.com/v1/hopper/{id}/marketmaker

Returns the market maker orders of a market maker bot that are still running (not completed, cancelled or failed), each with its buy and sell side.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID of a market maker bot.

Response

Example response (illustrative values)

{
    "data": [
        {
            "id": "7700001",
            "base_currency": "USDT",
            "currency": "BTC",
            "exchange": "binance",
            "market": "BTCUSDT",
            "market_trend": "neutral",
            "order_layer": "1",
            "order_sequence": "sametime",
            "buy_order_id": "55140001",
            "buy_trade_id": "0",
            "buy_order_type": "limit",
            "buy_amount": "0.001",
            "buy_amount_filled": "0",
            "buy_rate": "64900",
            "buy_cost": "64.9",
            "buy_fee": "0",
            "sell_order_id": "55140002",
            "sell_trade_id": "0",
            "sell_order_type": "limit",
            "sell_amount": "0.001",
            "sell_amount_filled": "0",
            "sell_rate": "65100",
            "sell_cost": "65.1",
            "sell_fee": "0",
            "order_date": "2026-09-25 10:00:00",
            "order_date_step": "2026-09-25 10:00:00",
            "completed_date": null,
            "order_trigger": "manual",
            "profit": "0.20",
            "completed": "0",
            "cancelled": "0",
            "failed": "0"
        }
    ]
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.